unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CheckGroupBox, ExtCtrls;

type
  TForm1 = class(TForm)
    CheckGroupBox1: TCheckGroupBox;
    Button1: TButton;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    CheckBox2: TCheckBox;
    CheckGroupBox2: TCheckGroupBox;
    Button2: TButton;
    ListBox1: TListBox;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure CheckGroupBox1CheckBoxClick(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Edit1.Text := CheckGroupBox1.Caption;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  CheckGroupBox1.Caption := Edit1.Text;
end;

procedure TForm1.CheckGroupBox1CheckBoxClick(Sender: TObject);
begin
  if CheckBox2.Checked then
  begin
    CheckBox1.Caption := 'Modified by OnCheckBoxClick Event';
    CheckBox1.Font.Color := clBlue;
  end else
  begin
    CheckBox1.Caption := CheckBox1.Name;
    CheckBox1.Font.Color := clBlack;
  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if not CheckBox2.Checked then
  begin
    CheckBox1.Caption := CheckBox1.Name;
    CheckBox1.Font.Color := clBlack;
  end;
end;


procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0 : CheckGroupBox1.Enabled := true;
    1 : CheckGroupBox1.Enabled := false;
  end;
end;

end.
